Libosmium: osmium::handler::Handler Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::handler::Handler Class Reference

`#include <handler.hpp>`

Inheritance diagram for osmium::handler::Handler:
[legend]

## Public Member Functions
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Detailed Description

Handler base class. Never used directly. Derive your own class from this class and "overwrite" the functions. Your functions must be named the same, but don't have to be const or noexcept or take their argument as const.

Usually you will overwrite the node(), way(), and relation() functions. If your program supports multipolygons, also the area() function. You can also use the osm_object() function which is called for all OSM objects (nodes, ways, relations, and areas) right before each of their specific callbacks is called.

If you are working with changesets, implement the changeset() function.

## Member Function Documentation

## ◆ area()

void osmium::handler::Handler::area | ( | const osmium::Area & |  | ) | const
| inlinenoexcept

## ◆ changeset()

void osmium::handler::Handler::changeset | ( | const osmium::Changeset & |  | ) | const
| inlinenoexcept

## ◆ changeset_discussion()

void osmium::handler::Handler::changeset_discussion | ( | const osmium::ChangesetDiscussion & |  | ) | const
| inlinenoexcept

## ◆ flush()

void osmium::handler::Handler::flush | ( |  | ) | const
| inlinenoexcept

## ◆ inner_ring()

void osmium::handler::Handler::inner_ring | ( | const osmium::InnerRing & |  | ) | const
| inlinenoexcept

## ◆ node()

void osmium::handler::Handler::node | ( | const osmium::Node & |  | ) | const
| inlinenoexcept

## ◆ osm_object()

void osmium::handler::Handler::osm_object | ( | const osmium::OSMObject & |  | ) | const
| inlinenoexcept

## ◆ outer_ring()

void osmium::handler::Handler::outer_ring | ( | const osmium::OuterRing & |  | ) | const
| inlinenoexcept

## ◆ relation()

void osmium::handler::Handler::relation | ( | const osmium::Relation & |  | ) | const
| inlinenoexcept

## ◆ relation_member_list()

void osmium::handler::Handler::relation_member_list | ( | const osmium::RelationMemberList & |  | ) | const
| inlinenoexcept

## ◆ tag_list()

void osmium::handler::Handler::tag_list | ( | const osmium::TagList & |  | ) | const
| inlinenoexcept

## ◆ way()

void osmium::handler::Handler::way | ( | const osmium::Way & |  | ) | const
| inlinenoexcept

## ◆ way_node_list()

void osmium::handler::Handler::way_node_list | ( | const osmium::WayNodeList & |  | ) | const
| inlinenoexcept

The documentation for this class was generated from the following file:

- include/osmium/handler.hpp